import { FormixOptions, UseFormixReturnType } from "./useFormix";
import { ArrayShift, FormValuePrimitive } from "../types";
declare type FieldSchema<T extends FormValuePrimitive> = {
    field: T;
};
export declare type UseFieldReturnType<T extends FormValuePrimitive> = {
    [K in keyof Omit<UseFormixReturnType<FieldSchema<T>>, "getErrors" | "getError" | "getValues" | "setValues">]: (...params: ArrayShift<Parameters<UseFormixReturnType<FieldSchema<T>>[K]>>) => ReturnType<UseFormixReturnType<FieldSchema<T>>[K]>;
};
export declare function useField<T extends FormValuePrimitive>(value: T, options?: FormixOptions): UseFieldReturnType<T>;
export {};
